org.eclipse.jdt.core.util

## Interface IExceptionTableEntry

    public interface IExceptionTableEntry

The class represents an entry in the exception table of a ICodeAttribute as specified in the JVM specifications. This interface may be implemented by clients.

Since:
  2.0

### Method Summary

All Methods Instance Methods Abstract Methods
`char[]` `getCatchType()` Answer back the catch type name, null if getCatchTypeIndex() returns 0.
`int` `getCatchTypeIndex()` Answer back the catch type index in the constant pool.
`int` `getEndPC()` Answer back the end pc of this entry.
`int` `getHandlerPC()` Answer back the handler pc of this entry.
`int` `getStartPC()` Answer back the start pc of this entry.

### Method Detail

#### getStartPC

    int getStartPC()

Answer back the start pc of this entry.

Returns:
  the start pc of this entry

#### getEndPC

    int getEndPC()

Answer back the end pc of this entry.

Returns:
  the end pc of this entry

#### getHandlerPC

    int getHandlerPC()

Answer back the handler pc of this entry.

Returns:
  the handler pc of this entry

#### getCatchTypeIndex

    int getCatchTypeIndex()

Answer back the catch type index in the constant pool.

Returns:
  the catch type index in the constant pool

#### getCatchType

    char[] getCatchType()

Answer back the catch type name, null if getCatchTypeIndex() returns 0. This is the case for any exception handler.

Returns:
  the catch type name, null if getCatchTypeIndex() returns 0. This is the case for any exception handler